Xilinx Compilation Tool for ISE 14.7 Does Not Officially Support Windows 8 or Later

Updated May 29, 2019

Reported In

Software

  • LabVIEW FPGA Module
  • LabVIEW
  • FPGA Xilinx Compilation Tools

Other


 

Issue Details

When trying to install LabVIEW and FPGA Module on a computer which is operating on Windows 10 the following errors come up:
 

or:
 

Solution

1. Note that Xilinx Compilation Tools – ISE 14.7 is automatically selected when we select LabVIEW 2018 FPGA for installation during the select installations page of the wizard. Clicking next at his instance would cause the above error.

2. Select Do not install Xilinx Compilation Tools – ISE 14.7

3.  A window asking "Do you want to deselect the dependent products?" comes up, select No.
 

Additional Information

ISE installer is for the old product family – while still active, Xilinx are not actively working on compilers for this product family as everyone is transitioning or currently using the newer chipsets. However, Xilinx launched the Vivado 2017 compiler which supports the majority of active product families for their chips and Windows 10. Therefore, unless you are using old hardware, you can use Xilinx Compilation Tool for Vivado instead. You can get by without the ISE compiler so long as your hardware is listed in one of the Vivado sections of the Xilinx Compilation Tools & Corresponding NI Hardware Support table

WAS THIS ARTICLE HELPFUL?

Not Helpful